(function(){
	  var u = navigator.userAgent, app = navigator.appVersion;   
	  var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器   
	  var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端  
	  
	  function connectWebViewJavascriptBridge(callback){
		  if (isiOS) {
			  if (window.WebViewJavascriptBridge) { return callback(WebViewJavascriptBridge); }
			  if (window.WVJBCallbacks) { return window.WVJBCallbacks.push(callback); }
			  window.WVJBCallbacks = [callback];
			  var WVJBIframe = document.createElement('iframe');
			  WVJBIframe.style.display = 'none';
			  WVJBIframe.src = 'https://__bridge_loaded__';
			  document.documentElement.appendChild(WVJBIframe);
			  setTimeout(function() { document.documentElement.removeChild(WVJBIframe) }, 0)
		  }else if(isAndroid){
			  if (window.WebViewJavascriptBridge) {
				  window.WebViewJavascriptBridge.init(function(message, responseCallback) {
				        var data = {
				          'Javascript Responds': '测试中文!'
				        };
				        responseCallback(data);
				      });
				    callback(WebViewJavascriptBridge)
				  } else {
				    document.addEventListener(
				      'WebViewJavascriptBridgeReady',
				      function() {
				    	  window.WebViewJavascriptBridge.init(function(message, responseCallback) {
				    	        var data = {
				    	          'Javascript Responds': '测试中文!'
				    	        };
				    	        responseCallback(data);
				    	      });
				        callback(WebViewJavascriptBridge)
				      },
				      false
				    );
				  }
		  }
	  }
	  
	  
	  window.connectWebViewJavascriptBridge=connectWebViewJavascriptBridge;
})()
