(function() {
  // 适配各种手机尺寸
  setRem();
  window.addEventListener("orientationchange", setRem); //横竖屏适配
  window.addEventListener("resize", setRem);

  function setRem() { // rem适配设置
    var html = document.querySelector('html');
    var screenWidth = html.getBoundingClientRect().width;
    html.style.fontSize = screenWidth / (750 / 40) + "px"; //设置根字体大小      
  }
  function resetRem(){ // 重置根字体大小
	  var html = document.querySelector('html');
	  var screenWidth = html.getBoundingClientRect().width;
	  var basefontSize = screenWidth / (750 / 40) + "px";
	  if(html.style.fontSize != basefontSize){
		  html.style.fontSize = screenWidth / (750 / 40) + "px";
	  }
  }
  //dom元素加载完成后重置根字体大小
  document.addEventListener('DOMContentLoaded', resetRem, false);
})()